# Class St1DeviceLocationPut

java.lang.Object
com.io7m.stonesignal.server.device_api_v1.St1DeviceLocationPut

All Implemented Interfaces:
  `io.helidon.webserver.http.Handler`, `io.helidon.webserver.ServerLifecycle`

public final class St1DeviceLocationPut extends Object
device-location-put

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `St1DeviceLocationPut(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  device-location-put

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final StDevice`
  `device()`
  `final void`
  `handle(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response)`
  `protected void`
  `handleAuthenticated(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response)`
  `protected String`
  `name()`
  `protected final <C extends St1DeviceMessageType>
  C`
  `read(io.helidon.webserver.http.ServerRequest request, Class<C> clazz)`
  `protected final void`
  `send(io.helidon.webserver.http.ServerResponse response, St1DeviceMessageType message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.helidon.webserver.ServerLifecycle

  `afterStart, afterStop, beforeStart`

- ## Constructor Details

  - ### St1DeviceLocationPut

    public St1DeviceLocationPut(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    device-location-put
    Parameters:
      `inServices` - The services

- ## Method Details

  - ### handleAuthenticated

    protected void handleAuthenticated(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response) throws IOException, com.io7m.darco.api.DDatabaseException
    Throws:
      `IOException`
      `com.io7m.darco.api.DDatabaseException`

  - ### name

    protected String name()

  - ### device

    protected final StDevice device()

  - ### handle

    public final void handle(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response)
    Specified by:
      `handle` in interface `io.helidon.webserver.http.Handler`

  - ### read

    protected final <C extends St1DeviceMessageType> C read(io.helidon.webserver.http.ServerRequest request, Class<C> clazz) throws IOException
    Throws:
      `IOException`

  - ### send

    protected final void send(io.helidon.webserver.http.ServerResponse response, St1DeviceMessageType message)